Subject: Re: bug#72335: An attempt to fix UCRT64 build failure

From: "Yi Yue" <[email-masked]>
Date: Mon, 12 Aug 2024 01:50:21 +0900

&gt; This happens if you apply only one patch.

&gt; You have to apply _both_ patches (don't ask WHY!):

&gt; https://github.com/msys2/MINGW-packages/blob/master/mingw-w64-emacs/001-ucrt.patch

&gt; https://github.com/msys2/MINGW-packages/blob/master/mingw-w64-emacs/002-clang-fixes.patch

&gt; I do monthly UCRT64 builds of Emacs master on Win10 (*true* machine, not&nbsp;Wine nor VBox). I did the last build with yesterday master and had only&nbsp;two warnings for ORG/TEXI filesorg.texi:16157: warning: @anchor should not appear on @item line
&gt; org.texi:16170: warning: @anchor should not appear on @item line

&gt; Maybe MSYS2 people which created those patches can clarify...

&gt; Ciao,
&gt;   Angelo.

Hi Angelo, Thanks for your advice, I didn't reply to you because I have seen it in your reply in Emacs-devel.

Now, the UCRT problem seems solved by Quang Kien Nguyen[1], I tried the last master branch and compiled it in UCRT64 environment, it succeeds.

Also, you don't need to reply to me, since this bug report is of little use.

Regards

Yi Yue
[1] https://lists.gnu.org/archive/html/emacs-devel/2024-08/msg00192.html